PROGRAM Temperature_Conversion_2
!------------------------------------------------------------------------
! Program to convert a temperature on the Celsius scale to the 
! corresponding temperature on the Fahrenheit scale.
! Variables used are:
!   Celsius    :  temperature on the Celsius scale
!   Fahrenheit : temperature on the Fahrenheit scale
!
! Input:  Celsius
! Output: Fahrenheit
!------------------------------------------------------------------------

  IMPLICIT NONE
  REAL :: Celsius, Fahrenheit

  ! Obtain Celsius temperature
  PRINT *, "Enter temperature in degrees Celsius:"
  READ *, Celsius

  ! Calculate corresponding Fahrenheit temperature
  Fahrenheit = 1.8 * Celsius + 32.0

  ! Display temperatures
  PRINT *, Celsius, "degrees Celsius =", &
           Fahrenheit, "degrees Fahrenheit"

END PROGRAM Temperature_Conversion_2
